--KHT globals

KHT_NUM_BARS = 11;
KHT_NUM_OPTIONS = 11;
KHT_NUM_LABELS = 11;
KHT_NUM_SLIDERS = 7;
KHT_NUM_TABS = 5;

KHT_NUM_TIMERS = {
	[1] = 24,		-- Specializations
	[2] = 25,		-- Talents
	[3] = 14,		-- Common
	[4] = 9,		-- Pets
	[5] = 1,		-- Misc
	[6] = 1		-- Trinkets (removed)
};

KHT_OPTIONS_TIMERS = {
	[1] = {		-- Specializations
		[1]  = KHT_SPECIAL,
		[2]  = KHT_ASPECT_EAGLE,
		[3]  = KHT_ASPECT_WILD,
		[4]  = KHT_BEAST_CLEAVE,
		[5]  = KHT_BESTIAL_WRATH,
		[6]  = KHT_BOMBARDMENT,
		[7]  = KHT_BURST_SHOT,
		[8]  = KHT_CONCUSS_SHOT,
		[9]  = KHT_COUNTER_SHOT,
		[10] = KHT_DIRE_BEAST,
		[11] = KHT_EXPLOSIVE_TRAP,
		[12] = KHT_FREEZING_TRAP,
		[13] = KHT_HARPOON,
		[14] = KHT_HUNTERS_MARK,
		[15] = KHT_LACERATE,
		[16] = KHT_MARKING,
		[17] = KHT_MISDIRECTION,
		[18] = KHT_MONGOOSE_FURY,
		[19] = KHT_MUZZLE,
		[20] = KHT_SURVIVALIST,
		[21] = KHT_TAR_TRAP,
		[22] = KHT_TRUESHOT,
		[23] = KHT_VULNERABLE,
		[24] = KHT_WING_CLIP
	},
	[2] = {		-- Talents
		[1]  = KHT_TALENT,
		[2]  = KHT_MURDER_CROWS,
		[3]  = KHT_BESTIAL_CUNNING,
		[4]  = KHT_BESTIAL_FEROCITY,
		[5]  = KHT_BESTIAL_TENACITY,
		[6]  = KHT_BINDING_SHOT,
		[7]  = KHT_BLACK_ARROW,
		[8]  = KHT_CALTROPS,
		[9]  = KHT_CAMO,
		[10] = KHT_CAREFUL_AIM,
		[11] = KHT_DIRE_FRENZY,
		[12] = KHT_DRAGON_GRENADE,
		[13] = KHT_INTIM,
		[14] = KHT_LOCK_LOAD,
		[15] = KHT_MOKNATHAL,
		[16] = KHT_POSTHASTE,
		[17] = KHT_RANGERS_NET,
		[18] = KHT_SERPENT_STING,
		[19] = KHT_SPITTING_COBRA,
		[20] = KHT_STAMPEDE,
		[21] = KHT_STEADY_FOCUS,
		[22] = KHT_STEEL_TRAP,
		[23] = KHT_STICKY_BOMB,
		[24] = KHT_TRUE_AIM,
		[25] = KHT_WYVERN,
		[26] = KHT_OFF,
		[27] = KHT_OFF,
		[28] = KHT_OFF,
		[29] = KHT_OFF,
		[30] = KHT_OFF,
		[31] = KHT_OFF,
		[32] = KHT_OFF,
		[33] = KHT_OFF,
		[34] = KHT_OFF,
		[35] = KHT_OFF,
		[36] = KHT_OFF,
		[37] = KHT_OFF,
		[38] = KHT_OFF,
		[39] = KHT_OFF,
		[40] = KHT_OFF
	},
	[3] = {		-- Common
		[1]  = KHT_COMMON,
		[2]  = KHT_AUTO_SHOT,
		[3]  = KHT_ARCANE_TORRENT,
		[4]  = KHT_ASPECT_CHEETAH,
		[5]  = KHT_ASPECT_TURTLE,
		[6]  = KHT_BERSERKING,
		[7]  = KHT_BLOOD_FURY,
		[8]  = KHT_BLOODLUST,
		[9]  = KHT_FLARE,
		[10] = KHT_HEROISM,
		[11] = KHT_MEND_PET,
		[12] = KHT_STONEFORM,
		[13] = KHT_TIME_WARP,
		[14] = KHT_WAR_STOMP
	},
	[4] = {		-- Pets
		[1]  = KHT_PETS,
		[2]  = KHT_ANKLE_CRACK,
		[3]  = KHT_DASH,
		[4]  = KHT_LAST_STAND,
		[5]  = KHT_MONSTROUS_BITE,
		[6]  = KHT_ROAR_SACRIFICE,
		[7]  = KHT_SHELL_SHIELD,
		[8]  = KHT_SPIRIT_MEND,
		[9]  = KHT_WARP_TIME
	},
	[5] = {		-- Misc
		[1]  = KHT_MISC,
		[2]  = KHT_OFF
	},
	[6] = {		-- Trinkets
		[1]  = KHT_TRINKETS,
		[2]  = KHT_OFF
	}
};

KHT_OPTIONS_BARS = {
	[1] = KHT_OPTIONS_LOCK,
	[2] = KHT_OPTIONS_COLOR_CHANGE,
	[3] = KHT_OPTIONS_SHOW_TEX,
	[4] = KHT_OPTIONS_LARGE_TEX,
	[5] = KHT_OPTIONS_HIDE_GAP,
	[6] = KHT_OPTIONS_APPEND,
	[7] = KHT_OPTIONS_HIDE_PADDING,
	[8] = KHT_OPTIONS_HIDE_TEXT,
	[9] = KHT_OPTIONS_HIDE_TIME,
	[10] = KHT_OPTIONS_STICKY,
	[11] = KHT_OPTIONS_DOWN
};

KHT_OPTIONS_LABELS = {
	[1] = KHT_OPTIONS_BARS_TEXT,
	[2] = KHT_OPTIONS_BORDER,
	[3] = KHT_OPTIONS_BARSTART,
	[4] = KHT_OPTIONS_TEXT_COLOR,
	[5] = KHT_OPTIONS_BACKDROP,
	[6] = KHT_OPTIONS_BAREND,
	[7] = KHT_OPTIONS_TIME_COLOR,
	[8] = KHT_OPTIONS_SHOT_DELAY,
	[9] = KHT_OPTIONS_MILI,
	[10] = KHT_OPTIONS_TARGET_COLOR,
	[11] = KHT_OPTIONS_TEXTURE
};

KHT_OPTIONS_SLIDER = {
	[1] = KHT_OPTIONS_BAR_DIST,
	[2] = KHT_OPTIONS_SCALE,
	[3] = KHT_OPTIONS_DECIMALS,
	[4] = KHT_OPTIONS_FLASH,
	[5] = KHT_OPTIONS_STEP,
	[6] = KHT_OPTIONS_OVERALL_OPACITY,
	[7] = KHT_OPTIONS_BAR_THICKNESS
};

KHT_OPTIONS_SLIDER_ENDS = {
	[1] = {
		[1] = "0",
		[2] = "10"
	},
	[2] = {
		[1] = "50%",
		[2] = "150%"
	},
	[3] = {
		[1] = KHT_OFF,
		[2] = "3"
	},
	[4] = {
		[1] = KHT_OFF,
		[2] = "10"
	},
	[5] = {
		[1] = "0.01",
		[2] = "0.05"
	},
	[6] = {
		[1] = "0%",
		[2] = "100%"
	},
	[7] = {
		[1] = "10",
		[2] = "32"
	}
};
